5.3.3.1. Wait for component (based on locator)
Prev | 5.3.3. Actions for synchronization - HTML toolkit |

#### 5.3.3.1. Wait for component (based on locator)

- Use this action to wait for an element based on its locator.

- The action requires no component name and no object mapping - the element in your AUT is found based on the locator you enter.

- For example, you can enter an xpath locator like this:

  xpath=...

- You can enter a CSS locator like this:

  css=...

  You will most likely want to use single quotes around the whole locator to cancel out any special characters within the string.

- You can use different types of locators, and can find out the locator for your element using website inspection tools. For example, you can copy a unique selector (CSS Locator) for an item.

- Parameters:

  - Timeout in Millisecs

  - Delay after visibility

  - Locator